package com.javacodegeeks.snippets.enterprise.jettyjmx;

import java.lang.management.ManagementFactory;

import org.eclipse.jetty.jmx.MBeanContainer;
import org.eclipse.jetty.server.Server;
import org.eclipse.jetty.util.log.Log;
import org.eclipse.jetty.webapp.WebAppContext;

public class JettyJmxExampleMain {

	public static void main(String[] args) throws Exception {

		// 1. Creating the server on port 8080
		Server server = new Server(8080);

		// 2. Creating the WebAppContext for the created content
		WebAppContext ctx = new WebAppContext();
		ctx.setResourceBase("src/main/webapp");
		server.setHandler(ctx);

		// 3. CreatingManaged Managed Bean container
		MBeanContainer mbContainer = new MBeanContainer(ManagementFactory.getPlatformMBeanServer());
	
		// 4. Adding Managed Bean container to the server as an Event Listener and Bean
		server.addEventListener(mbContainer);
		server.addBean(mbContainer);
		server.addBean(new JCGManagedObject());
		
		// 5. Adding Log
		server.addBean(Log.getLog());
		// 7. Starting the Server
		server.start();
		server.join();

	}
}
